.\" generated with Ronn/v0.7.3
.\" http://github.com/rtomayko/ronn/tree/0.7.3
.
.TH "42SH" "1" "November 2019" "" ""
.
.SH "NAME"
\fB42sh\fR \- the new standard command language interpreter
.
.SH "SYNOPSIS"
\fB42sh\fR [\-\-norc] [\-\-ast\-print] [[\-+]O \fBoption\fR] [\fBcommand_file\fR]
.
.P
\fB42sh\fR \-c [\-\-norc] [\-\-ast\-print] [[\-+]O \fBoption\fR] \fBcommand_string\fR
.
.P
\fB42sh\fR [\-\-norc] [\-\-ast\-print] [[\-+]O \fBoption\fR]
.
.SH "DESCRIPTION"
The 42sh utility is a command language interpreter that shall execute commands read from a command line string, the standard input, or a specified file\.
.
.SH "OPTIONS"
The following additional options are supported:
.
.TP
\fB\-c\fR
Read command from the \fBcommand_string\fR operator\.
.
.TP
\fB\-\-norc\fR
This options deactives the resource reader\.
.
.TP
\fB\-\-ast\-print\fR
This option activates the Abstract Syntax Tree printer\.
.
.TP
\fB[\-+]O option\fR
\fBoption\fR is one of the shell options accepted by the \fBshopt\fR builtin\. \fB\-O\fR sets that option, \fB+O\fR unsets it\.
.
.SH "FILES"
.
.TP
\fB/etc/42shrc\fR
Global default configuration file\.
.
.TP
\fB~/\.42shrc\fR
Per\-user default configuration file\.
.
.SH "AUTHORS"
Written by Marc \'risson\' Schmitt, Guillaume \'Géo\' Merle, Maxime \'lewdax\' Vaillard and Alexandre \'CD Master\' Deiss\.
